/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workitemcollar.service;

import java.util.List;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.workitemcollar.entity.WorkItemCollarItem;
import com.jeeplus.modules.workitemcollar.dao.WorkItemCollarItemDao;

/**
 * 领用固定资产子表Service
 * @author chenyuping
 * @version 2018-07-16
 */
@Service
@Transactional(readOnly = true)
public class WorkItemCollarItemService extends CrudService<WorkItemCollarItemDao, WorkItemCollarItem> {

	public WorkItemCollarItem get(String id) {
		return super.get(id);
	}
	
	public List<WorkItemCollarItem> findList(WorkItemCollarItem workItemCollarItem) {
		return super.findList(workItemCollarItem);
	}
	
	public Page<WorkItemCollarItem> findPage(Page<WorkItemCollarItem> page, WorkItemCollarItem workItemCollarItem) {
		return super.findPage(page, workItemCollarItem);
	}
	
	@Transactional(readOnly = false)
	public void save(WorkItemCollarItem workItemCollarItem) {
		super.save(workItemCollarItem);
	}
	
	@Transactional(readOnly = false)
	public void delete(WorkItemCollarItem workItemCollarItem) {
		super.delete(workItemCollarItem);
	}
	
	
	
	
}